import { Input, SchemaType } from '../';
import { SchemaValidator } from '../Schema';
export declare function Maybe<T extends SchemaType>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T> | undefined]>;
export declare function Optional<T extends SchemaType>(schema: T, errorMsg?: string): SchemaValidator<T | undefined, [Input<T> | undefined]>;
export declare function Or<A extends SchemaType, B extends SchemaType>(a: A, b: B, errorMsg?: string): SchemaValidator<A | B, [Input<A> | Input<B>]>;
